| PST SDK 6.0.0.0-272350a

Public Member Functions | Public Attributes | List of all members
pstech.pstsdk.target.TargetPose Class Reference

Estimated tracking target pose. More...

Inheritance diagram for pstech.pstsdk.target.TargetPose:
[legend]
Collaboration diagram for pstech.pstsdk.target.TargetPose:
[legend]

## Public Member Functions
def | __init__ (self, c_pose)
def | __eq__ (self, other)
Public Member Functions inherited from pstech.pstsdk.target.Target
def | __init__ (self, c_target)
def | __eq__ (self, other)

## Public Attributes
| pose
| Tracking target pose as a flattened row-major 4x4 transformation matrix. More...
| matched_points
| point.Point list representing detected 3D markers matched to this tracking target More...
Public Attributes inherited from pstech.pstsdk.target.Target
| name
| User given name of the tracking target as listed in the PST-Client software. More...
| uuid
| Unique identifier, automatically assigned to the tracking target. More...
| id
| User provided tracking id assigned to the tacking target as listed in the PST-Client software. More...

## Detailed Description

Estimated tracking target pose.

This class contains the estimated pose information and matched points of a tracking target. The pose is provided as a row-major 4x4 transformation matrix describing the pose of the tracking target in the coordinate system defined in the PST-Client application (see the 'Reference coordinate system' Section in the PST Manual). The matched points are provided as a list of 3D data points that have been detected by the tracker and are estimated be part of the Target.

See also
  target.Target
  point.Point
  trackerdata.TrackerData

## Constructor & Destructor Documentation

## ◆ __init__()

def pstech.pstsdk.target.TargetPose.__init__ | ( |  | self,
|  |  | c_pose
| ) |  |

## Member Function Documentation

## ◆ __eq__()

def pstech.pstsdk.target.TargetPose.__eq__ | ( |  | self,
|  |  | other
| ) |  |

## Member Data Documentation

## ◆ matched_points

pstech.pstsdk.target.TargetPose.matched_points

point.Point list representing detected 3D markers matched to this tracking target

## ◆ pose

pstech.pstsdk.target.TargetPose.pose

Tracking target pose as a flattened row-major 4x4 transformation matrix.

The documentation for this class was generated from the following file:

- C:/CI/builds/c149454a/0/ps-tech/pst-distributor/pstsdk/python/pstech/pstsdk/target.py